"""
Opravte chyby v tomto programu.

Zadání: 
Načítej od uživatele požadovaný počet prvků Fibonacciho posloupnosti a ty vypiš na výstup.
"""


def fibonacci(n: int) -> list[int]:
    """Spočítej prvních n prvků Fibonacciho posloupnosti.
    >>> fibonacci(10)
    [1, 1, 2, 3, 5, 8, 13, 21, 34, 55]
    >>> fibonacci(0)  # Testujeme i okrajove pripady
    []
    >>> fibonacci(1)  # Testujeme i okrajove pripady
    [1]
    >>> fibonacci(2)  # Testujeme i okrajove pripady
    [1, 1]
    """
    x = []
    a = 0
    b = 1
    for i in range(n):  # Ridici promenna cyklu byla a -> prepisovalo nam to mezivysledky v promenne a
        x.append(b)
        c = a + b
        a = b
        b = c
    return x  # Bylo spatne odsazeni (return mimo funkce)


def print_fibonacci() -> None:
    """Vypiš uživatelem zadaný počet prvků Fibonacciho posloupnosti."""
    n = int(input('Zadej požadovaný počet prvků Fibonacciho posloupnosti: '))  # Byl spatny nazev promenne (N), chybela konverze na int
    print(fibonacci(n))


if __name__ == '__main__':
    print_fibonacci()
